
ctools - Action #106

Feature # 105 (Rejected): Perform a scientific validation of 1DC release

Verify that deadtime is correctly taken into account.

03/07/2012 04:24 PM - Knödlseder Jürgen

Status: Closed Start date: 03/08/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: 1.0.0   

Description

History

#1 - 03/07/2012 04:28 PM - Knödlseder Jürgen

It has to be checked whether the actual lifetime is used for response computation. The lifetime should be provided in the header of the event lists.

Note that if the ontime would be used the fluxes should be underestimated, as the flux is proportional to the number of events divided by the time. The

lifetime is smaller than the ontime, hence for a given number of events, using the ontime should lead to a too small flux.

#2 - 03/08/2012 03:20 PM - Knödlseder Jürgen

- Target version deleted (00-05-00)

#3 - 03/08/2012 03:20 PM - Knödlseder Jürgen

- Target version set to 00-04-00

#4 - 03/08/2012 05:51 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Start date set to 03/08/2012

#5 - 03/08/2012 06:05 PM - Knödlseder Jürgen

- % Done changed from 0 to 20

- Estimated time changed from 2.00 to 8.00

- Remaining (hours) changed from 2.0 to 6.0

On kepler.cesr.fr, I started the implementation of pull distribution tests. The relevant scripts can be found in:

/home/knodlseder/cta/pull-distributions/gammalib-00-05-00

So far I worked on a single point source that is onaxis. The scripts and results are in the subdirectory:

point/onaxis

I started to work with a simple point source model, composed of the Crab nebula and a standard background model, using sub-array E from Konrad's

performance files. The scripts that are there so far are:

crab_deadc010_t1800_n10000.sh

crab_deadc050_t1800_n10000.sh

crab_deadc080_t1800_n10000.sh

crab_deadc090_t1800_n10000.sh

crab_deadc095_t1800_n10000.sh

crab_deadc100_t1800_n10000.sh

crab_deadc010_t18000_n10000.sh
crab_deadc095_t18000_n10000.sh

crab_deadc100_t18000_n10000.sh

crab_deadc095_t180000_n10000.sh

crab_deadc100_t180000_n10000.sh

They vary the deadtime correction factor and the observing time (30 min, 5 hours). All runs are for 10000 trials.

#6 - 04/25/2012 11:27 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

- Remaining (hours) changed from 6.0 to 0.0

#7 - 07/20/2012 10:31 PM - Knödlseder Jürgen

- Target version deleted (00-04-00)

#8 - 10/30/2014 12:34 PM - Knödlseder Jürgen

- Target version set to 1.0.0
